> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get task details

> Retrieves comprehensive details of a specific task including destination chain ID, program hash, task hash, output tree root, and MMRs used. This endpoint does not require authentication.



## OpenAPI

````yaml /data-processor-api/openapi/openapi-hdp-server.json get /tasks/{uuid}/details
openapi: 3.1.0
info:
  title: Herodotus Data Processor Server API
  description: API documentation for the Herodotus Data Processor Server
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://staging.hdp.api.herodotus.cloud
    description: Staging API endpoint
security: []
tags:
  - name: tasks
    description: Task management endpoints
  - name: health
    description: Health check endpoints
  - name: modules
    description: Module registry endpoints
paths:
  /tasks/{uuid}/details:
    get:
      tags:
        - tasks
      summary: Get task details
      description: >-
        Retrieves comprehensive details of a specific task including destination
        chain ID, program hash, task hash, output tree root, and MMRs used. This
        endpoint does not require authentication.
      operationId: getTaskDetails
      parameters:
        - name: uuid
          in: path
          description: The unique identifier (UUID) of the task
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Task details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskDetailsResponse'
              example:
                destinationChainId: '0xaa36a7'
                mmrs:
                  - chain_id: '0xaa37dc'
                    hashing_function: poseidon
                    id: '0x30314b345136303433515133424b4d42324e31394d4443595757'
                    root: >-
                      0x6e7be7495a7126588df5ce10e090b27ea87357b966cc5b4143d0845ee15af0e
                    size: '0x2644'
                  - chain_id: '0xaa36a7'
                    hashing_function: keccak
                    id: '0x30314a4d484d31413242354d38455336505a57524a505354374d'
                    root: >-
                      0x8df74acdc8c1fc184081e4a2ec4ccca78c03a541b8eb37ccfb5d11f205555666
                    size: '0x0a813'
                outputTreeRoot: >-
                  0xc103b036a12f8f9307b062b11181a726109640f2deb15a8d29ee5bb754a2943a
                programHash: >-
                  0x34a16478e83f69c4f0bcdb7549d32f92c9b7776bb3f71da06de334f1871eba0
                taskHash: >-
                  0x56839c1e7f817be047794dbdc727585f89bb92c8c305fd8df0fbcc19602339ac
                taskId: 01J3Z3K2P4W6M8Q0A1B2C3D4E5
        '404':
          description: Task not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    TaskDetailsResponse:
      type: object
      required:
        - taskId
        - destinationChainId
        - programHash
        - mmrs
      properties:
        destinationChainId:
          type: string
        mmrs:
          type: array
          items:
            $ref: '#/components/schemas/MmrInfo'
        outputTreeRoot:
          type:
            - string
            - 'null'
        programHash:
          type: string
        taskHash:
          type:
            - string
            - 'null'
        taskId:
          type: string
      example:
        destinationChainId: '0xaa36a7'
        mmrs:
          - chain_id: '0xaa37dc'
            hashing_function: poseidon
            id: '0x30314b345136303433515133424b4d42324e31394d4443595757'
            root: '0x6e7be7495a7126588df5ce10e090b27ea87357b966cc5b4143d0845ee15af0e'
            size: '0x2644'
          - chain_id: '0xaa36a7'
            hashing_function: keccak
            id: '0x30314a4d484d31413242354d38455336505a57524a505354374d'
            root: '0x8df74acdc8c1fc184081e4a2ec4ccca78c03a541b8eb37ccfb5d11f205555666'
            size: '0x0a813'
        outputTreeRoot: '0xc103b036a12f8f9307b062b11181a726109640f2deb15a8d29ee5bb754a2943a'
        programHash: '0x34a16478e83f69c4f0bcdb7549d32f92c9b7776bb3f71da06de334f1871eba0'
        taskHash: '0x56839c1e7f817be047794dbdc727585f89bb92c8c305fd8df0fbcc19602339ac'
        taskId: 01J3Z3K2P4W6M8Q0A1B2C3D4E5
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        details:
          type:
            - string
            - 'null'
        error:
          type: string
        message:
          type:
            - string
            - 'null'
        taskId:
          type:
            - string
            - 'null'
    MmrInfo:
      type: object
      required:
        - id
        - root
        - size
        - chain_id
        - hashing_function
      properties:
        chain_id:
          type: string
        hashing_function:
          type: string
        id:
          type: string
        root:
          type: string
        size:
          type: string

````